Bug 597283

Summary: Fedora 13 x86_64 DVD does not boot in some computers
Product: [Fedora] Fedora Reporter: Salamandra <harmoniamacrocosmica>
Component: syslinuxAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 13CC: alex334599, ametzger, awilliam, axel.meraz, bjoern.petersen, chris_kapsalis, darouls, dcantrell, graybeard, ircole, m1399, pjones, robatino, stephent98, tim.smy, wim.cos, wonderness, xigc1, yates, z002saito
Target Milestone: ---Keywords: CommonBugs
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: https://fedoraproject.org/wiki/Common_F13_bugs#gigabyte-64dvd-fail
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 12:55:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Packages on Fedora-13-Beta-x86_64-DVD.iso
none
Packages on Fedora-13.TC1-x86_64-DVD.iso
none
shell script to dump location of ISO boot catalog and report number of RPMs
none
ISO image stats for F12, F13, F14 DVDs in both archs
none
shell script to dump location of ISO boot catalog and report file/directory counts none

Description Salamandra 2010-05-28 10:59:05 EDT
Description of problem:

Downloaded Fedora 13 x86_64 DVD from torrent. Burned DVD with brasero, installed with no problem in laptop.

When tried to install in desktop, dvd does not boot and boots HD, no matter the bios changes. Burned another dvd with k3b. Same issue. i686 version boots ok.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try to install fedora13 x86_64 DVD
2.
3.
  
Actual results:
Does not boot in some computers.

Expected results:
DVD boot and install system.

Additional info:
My hardware profile: http://www.smolts.org/client/show/pub_2ac25f56-bd99-4f88-918b-0de54a6539be

Other people experiment the same issue:

http://forums.fedoraforum.org/showthread.php?t=245766
http://forums.fedoraforum.org/showthread.php?t=245844
Comment 1 Jesse Keating 2010-05-28 12:33:18 EDT
Guessing at actual target.
Comment 2 Barry Powell 2010-05-29 09:23:11 EDT
A me to post too.  However, I do have a Gigabyte P35-DS4 motherboard with dual DVD drives (different makes).  Google has returned several issues with fedoa13 x86_86 DVDs with Gigabyte motherboards.

My hardware profile:
http://www.smolts.org/client/show/pub_c448bd22-e813-4eda-a526-6055f033351c
Comment 3 Chris Kapsalis 2010-06-02 23:11:22 EDT
Me too post as well.

During boot process, it tries booting from DVD but fails and continues with hard drive boot, which is successful.

Booting from Fedora 12 X64 DVD works properly, as does booting from other OS DVD's.


Basic AMD X2 Dual Core 4200+, Asus A8N-SLI Premium motherboard. NEC 3500-A DVD drive, 2GB RAM SATA hard drives.
Comment 4 Mélanie Legault 2010-06-05 11:03:50 EDT
same problem with GA-965P-DQ6. single LG DVD
Comment 5 Glenn McKechnie 2010-06-05 19:53:26 EDT
Another one.

The DVD drive still works on older Fedora disks, not with the F13 as x86_64.
(Good disc, verified burn)

Motherboard...
product: 	GA-K8NF9 Ultra
vendor: 	Gigabyte Technology Co., Ltd.

http://www.smolts.org/show?uuid=pub_461d5d1f-ff2f-4e79-9c6f-a71555795c33
Comment 6 Alex 2010-06-08 11:25:17 EDT
I've burned two x86_64 Fedora 13 Installation DVD's.They cannot be booted on my computer with a Gigabyte GA-P35C-DS3R motherboard.

I went over to a pal and booted them without any problems on his computer (Asus motherboard), the verification program on the DVD's confirmed them as OK.
Comment 7 Bob Weaver 2010-06-12 15:58:54 EDT
Another case: Can't boot Fedora 13 x86 installation disk on a Gigabyte GA-P35-DS3P mobo. Booted an old install disk, ran install to disk check and swapped disks, checked Fedora 13 DVD, was OK.
Comment 8 Bob Weaver 2010-06-12 17:44:29 EDT
Gigabyte mobo use may be a red herring--Web chatter indicates that having an NVIDIA graphics card may be significant (I'm running an 8800 GTS512), e.g:

"Arup says: ...nouveau has to be disabled on grub otherwise system won’t boot."

So, if the DVD bootup sequence includes (1) detection of an NVIDIA card and (2) automatic invocation of the nouveau driver, and (3) the driver hangs, that's where the problem lies.

Users experiencing this problem: If you're NOT using an NVIDIA card, add a comment so this hypothesis can be set aside.
Comment 9 Steve Chaplin 2010-06-12 21:07:22 EDT
In response to #7/#8.
Bob,
I disagree with your nVidia hypothesis. I have the "DVD won't boot" problem
on a Gigabyte motherboard with an AMD/ATI graphics card.
[Motherboard has nVidia onboard graphics, but it is not used].

The problem I see is not the boot sequence hanging, the problem is that it does not even start to boot.
Comment 10 Bob Weaver 2010-06-12 21:21:26 EDT
OK--probably not the nouveau driver. Also, I misspoke earlier: My machine doesn't hang on trying to boot the DVD, it just proceeds to boot from the HD.
Comment 11 Glenn McKechnie 2010-06-12 21:58:30 EDT
In response to #7/#8.
The Nvidia is not the problem here.
I've just rebooted after swapping the PCIe card out and putting in an old S3 PCI video card. The copmputer will boot up with the PCI card just fine (so it works). The FC12 x86_64 install DVD loads and boots just fine. Inserting the FC13 disk results in the same problem as before, it is ignored and the boot sequence falls through to the existing hard drive installation. The DVD is not booting and is bypassed, after the computer stalls while it momentarily attempts to boot from it.
Comment 12 Adam Williamson 2010-06-14 12:24:39 EDT
just a link to some other relevant forum threads - http://forums.fedoraforum.org/showthread.php?t=245321 , http://forums.fedoraforum.org/showthread.php?t=245844 . This seems a genuine problem to me - several of the reporters have tried multiple burns and verified that they are valid, and even booted them successfully on other systems. I have no idea what could be causing the problem, though.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Ivey Cole 2010-06-14 16:21:32 EDT
I believe this is a valid problem but not certain if the problem is a 'Linux' problem or a Gigabyte BIOS problem.  Just from past experiences and actually doing some BIOS maintenance many many moons ago, my best guess is there is something in the image that the BIOS doesn't handle.  Being ignorant of the format of the DVD, I really can't make an educated guess.  Is there a MBR and Boot Sector on the DVD?  If so my guess is that there's something in one or both of those that gives the Gigabyte BIOS heartburn such as sector size, thus it doesn't recognize the DVD as being bootable.  I've done multiple downloads, burned on multiple machines with multiple DVD writers, multiple brands of media, and successfully booted on more than one Dell system with no problem.  I have two different Gigabyte motherboards and none of the Fedora 13 DVDs I've created will boot on either of them.  The Fedora 12 DVD will boot on both of them.  Since the Fedora 13 DVD boots on the Dell systems (and will boot in a VMWare virtual machine) the Gigabyte BIOS just may be the culprit.  From this thread and some more searching the Gigabyte BIOS seems to be the common denominator for the DVD not even attempting to boot, rather it always boots from the hard drive.  There are other reported problems which differ from this problem in that the boot isn't successful due to graphics or some other problem.
Comment 14 Bob Weaver 2010-06-15 12:21:33 EDT
Yeah, lotsa Gigabyte mobos mentioned in the comments. However, comment 3 reports the problem on a machine with an Asus mobo. Has anyone else NOT using a Gigabyte mobo experienced the problem?
Comment 15 Steve Chaplin 2010-06-15 23:08:28 EDT
Even some new model Gigabyte motherboards have trouble booting from DVD!
http://www.anandtech.com/show/3769/reviewed-gigabyte-h55nusb3-miniitx-done-the-gigabyte-way

"... One thing that tripped us up testing these early BIOSes was an issue we’ve seen before on Gigabyte’s H55/H57 boards. Setting AHCI mode for SATA ports results in not being able to boot from our Pioneer 215-DBK SATA DVD drive (IDE mode works fine). Fortunately there is a workaround for this, press the pause key during the POST sequence just before the drive boot sequence starts, let the board pause for a few seconds and then resume. ..."

I tried the suggestion of pressing the pause key during the POST sequence, but it did not work for my older Gigabyte board.
Comment 16 Adam Williamson 2010-06-16 12:19:41 EDT
How about changing to IDE mode in the BIOS? Does that change the behaviour?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Ivey Cole 2010-06-16 13:17:21 EDT
I've tried changing modes in BIOS and even installed a real IDE drive instead of the SATA DVD and the results are the same.  Remember both my systems will boot the Fedora 12 DVD as well as other bootable DVDs.  Just the Fedora 13 that presents a problem.  My best guess is that the BIOS on the Gigabyte motherboards that I have is the problem. I believe they have Award BIOS on both motherboards.  One other thing I did was create a bootable USB driver from the Fedora 13 iso and it won't boot either.
Comment 18 Adam Williamson 2010-06-16 14:30:22 EDT
ivey: as with other reporters, do the 32-bit DVD and 64-bit live CD images boot for you?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Ivey Cole 2010-06-16 15:41:47 EDT
I haven't tried the 32 bit DVD or the Live CD yet.  Have been intending to do so but haven't had the time.
Comment 20 Ivey Cole 2010-06-16 16:01:33 EDT
I had already downloaded the 64bit live CD and so burned it and it DOES boot on the Gigabyte system.  I don't have the the 32bit DVD downloaded and it takes a long time with my bandwidth.
Comment 21 Bob Weaver 2010-06-16 21:53:14 EDT
Focus time--let's get this doggie fixed!  What's been changed on the Fedora 13 64-bit boot sequence from both the F13 32-bit and the F12 DVDs?  Whoever changed it--please change it back! It ain't broke anywhere but on the 64-bit DVD, so unfix it.

P.S. Can't wait? Boot with the F13 32-bit DVD and swap in the 64-bit disk before selecting Install from the menu--worked for me.
Comment 22 Adam Williamson 2010-06-17 02:19:42 EDT
"Focus time--let's get this doggie fixed!  What's been changed on the Fedora 13
64-bit boot sequence from both the F13 32-bit and the F12 DVDs?  Whoever
changed it--please change it back! It ain't broke anywhere but on the 64-bit
DVD, so unfix it."

Please don't post stuff like this. It just wastes space and clogs up the report. Obviously it should be fixed. That's why there's a bug report.

"P.S. Can't wait? Boot with the F13 32-bit DVD and swap in the 64-bit disk
before selecting Install from the menu--worked for me. "

That's a neat tip, though. Thanks for that.

I suspect getting boot.img and running it with 'askmethod' may also work.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 23 Benjamin Kingston 2010-06-17 11:11:38 EDT
Gigabyte P55A-UD3 reporting in, same issue.

this is very frustrating. Fedora 12's disk is the same.
Comment 24 Bob Weaver 2010-06-17 11:12:58 EDT
OK, shorter words for Adam. To fix, back out the change that caused this bug--old code worked.
Comment 25 Adam Williamson 2010-06-17 12:03:46 EDT
We don't know what change caused the problem. Or if there even is some identifiable intentional 'change' behind it. If we did, we'd have fixed it already.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 26 Andre Robatino 2010-06-17 12:11:16 EDT
Can anyone experiencing this problem reproduce it in a virtual guest on the same host (using either the actual DVD drive, or attaching directly to the ISO file)?
Comment 27 Ivey Cole 2010-06-17 19:07:22 EDT
I tried booting the 64bit DVD on my Fedora 12 system, the Gigabyte that won't boot the 64bit DVD, under Sun's (Oracle) Virtual Box and it WILL boot in the Virtual machine just fine.
Comment 28 Saito 2010-06-18 00:22:33 EDT
I have a same trouble.
M/B is Gigabyte GA-EG45M-DS2H, BIOS is EG45MDSH.F4.
I use onboard VGA + 1x4GB Memory.

Fedora-12-i386-DVD.iso is good booting.
Fedora-12-x86_64-DVD.iso is good booting.
Fedora-13-i386-DVD.iso is good booting.
Fedora-13-x86_64-DVD.iso is NOT booting.
Fedora-13-x86_64-netinst.iso is good booting.

iso's checksum is completed.
Media changed and Drive changed but got same result.
Comment 29 Adam Williamson 2010-06-18 13:23:25 EDT
Andre Robatino made a good suggestion - have any of you tried the F13 Alpha or Beta x86-64 DVDs? Did they work? (I think one forum report was initially about the Beta, but I'm not 100% sure).

I'm trying to identify somewhere the Beta may still be available, in case anyone has time to download and test it.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 30 Adam Williamson 2010-06-18 13:26:05 EDT
http://mirror.us.as6453.net/fedora/linux/releases/test/13-Beta/Fedora/x86_64/iso/ seems to have the Beta still available.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 31 Andre Robatino 2010-06-18 13:37:37 EDT
Better yet, the Alpha and Beta are still available at

http://download.fedora.redhat.com/pub/fedora/linux/releases/test/13-Alpha/Fedora/x86_64/iso/

http://download.fedora.redhat.com/pub/fedora/linux/releases/test/13-Beta/Fedora/x86_64/iso/

I also have a 350 MB deltaiso from x86_64 13 Alpha -> Beta available at

http://purl.org/Delta_ISOs/Fedora-13-Alpha_Beta-x86_64-DVD.diso

Instructions at https://fedoraproject.org/wiki/Delta_ISOs

The reconstruction takes about 30 minutes.
Comment 32 Andre Robatino 2010-06-18 13:44:43 EDT
The above links also work with download.fedora.redhat.com (the master mirror) replaced by download.fedoraproject.org (random mirror).
Comment 33 Adam Williamson 2010-06-18 15:57:05 EDT
-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 34 Ivey Cole 2010-06-19 08:14:17 EDT
I spent some time last night looking at the Volume Descriptors for the 64bit DVD and the 32bit DVD.  Haven't taken the time to map them and compare them bit for bit but other than the size fields things at first gloss look the same.  The major stuff that one would think might be what the BIOS would verify are identical.  Without the source for the BIOS it may be very difficult to find why it won't boot.  My bet is it's a BIOS problem and us with the failing Gigabyte motherboards are just going to have to suck it up and live with it.  I did try Adam's suggestion to boot from the 32bit DVD and swap it with the 64bit DVD and then select Install and it works fine.  Not a bad workaround other than the time it takes to download both images.
Comment 35 Andre Robatino 2010-06-19 09:44:13 EDT
You could also try booting from Fedora-13-x86_64-netinst.iso (which is only about 208M) using "askmethod", as Adam suggested, or download the BFO image (which is of negligible size) from http://boot.fedoraproject.org, boot from that, select Install, Fedora-13-x86_64, Tab, add the "askmethod" option, then swap in the DVD when prompted.  Those would be much easier bandwidth-wise, assuming they work (please test if you get a chance, just to see if you can get the installer to start).
Comment 36 Ivey Cole 2010-06-20 10:39:27 EDT
Using one of the smaller images is a great idea.  As I've already installed by booting from the 32 bit DVD and then swapping to the 64 bit DVD, I'm satisfied.  Now it's confession time.  I'd ass u me d that someone made a conscious decision to change something, which I'm now convinced is 100% incorrect, which makes the DVD not boot on some systems.  I'm now 99 plus percent convinced that the BIOS on my two Gigabyte MBs is the culprit and willing to apologize for my thoughts.  I see no need for the Linux (Fedora) folks to waste any brain cells on this issue.  There are better things to burn those cells on.  Let me say that I've been fooling around with Linux since RH 1 or 2 and over the years have been both impressed and disappointed in with the Linux community.  Here it is 2010 and Windows will install on about any PC that exists, which is a tribute to MS and their influence on PC manufacturers.  Now for my opinion which it and $5 will buy a cup of coffee, is that the there needs to be unity in the Linux world to produce A distribution that the general non-geek, non-nerd, can install and use.  Us that have been around an are willing to spend hours, days, weeks, to get Linux installed on our hardware need to wake up to the real world which is that the PC is an  appliance and the most folks only care about turning it on and it works.  MS in my opinion has focused on this and done a great job in this area.  I'm convinced that competition is good for all involved and definitely support an alternative.  Linux community wake up to this fact and become a viable alternative for the general  user.  My Hat's off to the folks  that are involved in the Fedora project, but please don't loose sight of the VISION of a vialble alternative.  Thanks for your time  and efforts.
Comment 37 scoffin 2010-06-22 21:25:30 EDT
Just because a [inconvenient] workaround may exist does not mean that Fedora can arbitrarily ignore or obsolete all the motherboards of a major manufacturer like Gigabyte.  This problem (which I have with a GA-P35-DS3L MB)needs to be fixed.  Install worked in F12, so something changed [ie, broke] in F13.  Thanks for all the efforts of the Fedora developers; we consumers of Fedora hope it continues to be as strong in the future as it has been up to now.
Comment 38 Andre Robatino 2010-06-23 11:54:10 EDT
If you have time, please try downloading the x86_64 Alpha or Beta DVD from the links in comment 31, burning them, and seeing if they can boot (no need to actually do the install, of course).  That would help narrow down where the problem started, and just maybe make a light go on in someone's head.  Until it's located, the best that can be done is to streamline the workaround.  Unfortunately, a problem like this that only affects a small fraction of the hardware out there is unlikely to get caught in pre-release testing.

P.S. If you do this, try the Alpha first - most of the changes between N-1 and N happen by N Alpha.  If that can boot, you can use the deltaiso mentioned above to generate the Beta (which requires approximately 30 minutes after downloading).  If the Alpha doesn't boot, don't bother testing the Beta.
Comment 39 Saito 2010-06-24 01:29:25 EDT
Add new informations(*).
I have a same trouble.
M/B is Gigabyte GA-EG45M-DS2H, BIOS is EG45MDSH.F4.
I use onboard VGA + 1GBx4 Memory.

Fedora-12-i386-DVD.iso is good booting.
Fedora-12-x86_64-DVD.iso is good booting.
Fedora-13-i386-DVD.iso is good booting.
Fedora-13-Alpha-x86_64-DVD.iso is good booting.(*)
Fedora-13-Beta-x86_64-DVD.iso is good booting.(*)
Fedora-13-x86_64-DVD.iso is NOT booting.
Fedora-13-x86_64-netinst.iso is good booting.
Comment 40 Andre Robatino 2010-06-24 01:37:10 EDT
Thanks very much for this info - it narrows it down a lot, since there are relatively few changes between the x86_64 Beta and Final.
Comment 41 Andre Robatino 2010-06-24 02:05:18 EDT
I just discovered that I still have deltaisos for the TCs and RCs between Beta and Final.  I've started seeding the ones for x86_64 again at

http://thepiratebay.org/torrent/5521400/Deltaiso_for_Fedora_13_Beta_-_gt__Final_TC1_x86_64_DVD

http://thepiratebay.org/torrent/5542383/Deltaiso_for_Fedora_13_Final_TC1_-_gt__RC1_x86_64_DVD

http://thepiratebay.org/torrent/5543145/Deltaiso_for_Fedora_13_Final_RC1_-_gt__RC2_x86_64_DVD

Between Beta and Final, there was TC1, RC1, and RC2 (RC3 was the Final).  If you or someone else is up to it, could you use these to generate the ISOs and test them?  Thanks again.  (In the future I'm going to make a point of archiving all of these in triplicate.)
Comment 42 scoffin 2010-06-24 13:59:07 EDT
Well, I was in the middle of burning the Fedora-13-Alpha-x86_64-DVD.iso when I got the last few messages, but I can also verify that the alpha at least does boot correctly on my machine.  Since that is the *seventh* DVD-R I have invested in diagnosing this issue since the first day of F13 release, perhaps someone who already has the beta (like Saito :-) should continue to test these deltas.  But if necessary, I can fetch the Beta and the deltas....
Comment 43 Andre Robatino 2010-06-24 14:28:17 EDT
That's okay, it looks like Saito has already downloaded the deltas, so he should be posting soon with the results.  Thanks anyway.  Adam: I have the i386 and x86_64 Alphas and Betas now (want to make sure they're still available after they get deleted from the fp.o servers), and can also recreate the Final TC1, RC1 and RC2.  So I can also provide any needed info concerning these images.
Comment 44 Andre Robatino 2010-06-24 14:41:42 EDT
Although since you already have the x86_64 Alpha, if you want you can verify Saito's results (you might want to use a rewritable DVD for this sort of thing!).  I'm seeding the delta from 13 x86_64 Alpha -> Beta at

http://thepiratebay.org/torrent/5493598/Deltaiso_for_Fedora_13_Alpha_-_gt__Beta_x86_64_DVD

or you could just use the direct download link in comment 31.  The other deltas are only available via the torrents.
Comment 45 Saito 2010-06-24 21:30:38 EDT
Add new informations(*).
I have a same trouble.
M/B is Gigabyte GA-EG45M-DS2H, BIOS is EG45MDSH.F4.
I use onboard VGA + 1GBx4 Memory.

Fedora-12-i386-DVD.iso is good booting.
Fedora-12-x86_64-DVD.iso is good booting.
Fedora-13-i386-DVD.iso is good booting.
Fedora-13-Alpha-x86_64-DVD.iso is good booting.
Fedora-13-Beta-x86_64-DVD.iso is good booting.
Fedora-13-Final.TC1-x86_64-DVD.iso is booting but stop before media check.(*)
Fedora-13-Final.RC1-x86_64-DVD.iso is NOT booting.(*)
Fedora-13-Final.RC2-x86_64-DVD.iso is NOT booting.(*)
Fedora-13-x86_64-DVD.iso is NOT booting.
Fedora-13-x86_64-netinst.iso is good booting.
Fedora-13-x86_64-Live.iso is good booting.(*)
Comment 46 Andre Robatino 2010-06-24 21:47:10 EDT
That's very interesting - when TC1 stops before the media check, are there any error messages displayed?
Comment 47 Saito 2010-06-24 22:47:13 EDT
There are no messages.
Comment 48 Saito 2010-06-25 00:38:49 EDT
checkpoint          F12          TC1
boot                OK           OK
menu                OK           OK
Loading vmlinuz...  OK           OK
                                 Stop,blackface,no messages.
Media check GUI     OK
Comment 49 Andre Robatino 2010-06-25 07:20:12 EDT
Created attachment 426852 [details]
Packages on Fedora-13-Beta-x86_64-DVD.iso
Comment 50 Andre Robatino 2010-06-25 07:24:57 EDT
Created attachment 426854 [details]
Packages on Fedora-13.TC1-x86_64-DVD.iso

Noticed that dracut and hwdata are updated from Beta to Final.TC1:

dracut-004-5.fc13 -> dracut-005-3.fc13
hwdata-0.225-3.fc12 -> hwdata-0.229-1.fc13

I know these are important but have no idea if this could selectively cause a problem with the DVD only.
Comment 51 scoffin 2010-06-25 17:19:05 EDT
I can confirm that the RC1 does not boot, but I do not see any of the messages that Saito gets, just silent death.  In my case BIOS boot fails but I can boot the DVD in a new virtualbox.  This means that virtualbox "virtual BIOS" is different enough from the real BIOS that the crash does not happen.  When it fails, the boot reverts to booting off the hard disk, it does not go back to the POST.  Can the DVD boot do this, or is this a sign that the BIOS boot process is still in control and not the DVD boot process?  I mean, can the DVD boot process turn control back to the BIOS to continue searching for a bootable drive, or would it just die?

It is unlikely that any of the packages are related to this bug, because the failure happens well before any of the packages are touched.  Something in the isolinux or EFI boot process, or maybe in the linux kernel itself seems to be implicated.  Mounting the iso images shows a lot of differences in the boot files between the Beta - tc1 - rc1 iso's.  Could it be that F13_x64 wants to boot via
EFI but the Gigabyte BIOS does not support EFI?  Or some bits are incorrectly masked off in the 64-bit DVD boot but are handled differently in the 32-bit or CD boot?  Or some simple bug in the isolinux process?  I am not that familiar with the isolinux process or the changes it goes through between releases, but surely the problem lies here somewhere and not in the "fedora stuff" that is in the packages.
Comment 52 Andre Robatino 2010-06-25 19:15:46 EDT
When you say "the RC1 does not boot", do you mean TC1?  Is there any difference between the behavior of TC1 and RC1 in your case?
Comment 53 Andre Robatino 2010-06-25 19:41:29 EDT
> It is unlikely that any of the packages are related to this bug, because
> the failure happens well before any of the packages are touched.

I thought about that, but thought that some of the packages might still be involved in _creating_ the ISO, even though the ones on the ISO itself aren't touched.  (Jesse Keating is probably the best one to ask about how this all works.)  I wasn't able to find anywhere a full list of the Everything packages for each ISO (even http://download.fedora.redhat.com/pub/fedora/linux/releases/test/13-Beta/ only has a Fedora/ directory, no Everything/ like http://download.fedora.redhat.com/pub/fedora/linux/releases/13/ , so for example I don't know what any of the versions of syslinux were, since it's not in the ISO Package/ directories).  But the F13 Final version of syslinux was built on 12 Jan 2010, so I'm guessing that the Beta/TC1/RC1/RC2 all had the same version as 13 Final (syslinux-3.84-1.fc13.x86_64), so I doubt that syslinux is the correct Component for this bug.
Comment 54 Jesse Keating 2010-06-25 19:45:35 EDT
You can get a close approximation of what components were used by looking at the daily branched tree for that day.  kojipkgs.fedoraproject.org/mash/  (takes a while to load) but match up the date of the TC/RC with the branched-<date> and you'll find the packages used during the creation.
Comment 55 scoffin 2010-06-25 20:19:27 EDT
hmmmmm.... tc1 boots and tries to install on my machine, but RC1 fails.

>> I'm guessing that the Beta/TC1/RC1/RC2 all had the
same version as 13 Final (syslinux-3.84-1.fc13.x86_64), so I doubt that
syslinux is the correct Component for this bug.

but, the isolinux and EFI files differ quite a bit on the iso's of the various intermediate releases, so they must have changed somehow  :-)
Comment 56 Andre Robatino 2010-06-25 20:43:58 EDT
OK, that's handy - going back to March 1, well before the Beta, syslinux is still on 3.84-1, so that hasn't changed.  It looks like I can also closely approximate the ISO creation times by looking at the times on the files in the top-level directory of each ISO, which are roughly (in UTC)

Apr 7 10:30 (Beta)
Apr 29 21:30 (TC1)
May  7 21:00 (RC1)
May 8 02:00 (RC2)

I'm not sure exactly which mash date to use for each since the times in the subdirectories are later than the top-level one (for example it looks like maybe I should be looking at branched-20100406/ for Beta), but the uncertainty is only one day.
Comment 57 tim smy 2010-06-28 07:26:40 EDT
I wish to install fedora 13 server 64 bit which cd/dvd can I use.

thanks
tim
Comment 58 Adam Williamson 2010-06-28 11:45:07 EDT
netinst.iso would be okay. You could try the 'boot that disc then switch in the DVD at the bootloader screen' trick mentioned earlier in this bug, too, i guess.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 59 tim smy 2010-06-30 00:49:50 EDT
Thanks for idea
I am not sure when then point is  ie
 'boot that disc then switch in the
DVD at the bootloader screen'

Is that at the end of the install as I will not be useing grub as the installer.

tim
Comment 60 Adam Williamson 2010-06-30 01:28:32 EDT
no, the *installer's* bootloader screen. you boot from another image - say the netinst, or the 32-bit DVD - then when the very first screen pops up (offering the choices of 'install' or other choices), switch in the 64-bit DVD before proceeding.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 61 Rouls 2010-06-30 03:32:00 EDT
Hello,
I've got similar problem with my laptop ASUS M60J and FC13 X86_64
With DVD, liveCD or USB install i got errors, PCIe errors...
same with FC12 X86_64..
So I boot it with acpi=off option in the grub and the boot was ok, so i could install it.
Now it is installed, it's not possible to put the acpi=on option.. I'm still with no acpi :/
I can't boot with acpi active...or I had PCIe error and black screen of the death..
Comment 62 Adam Williamson 2010-06-30 11:25:40 EDT
That's not a similar problem at all, Rouls. Please file a separate bug. Thanks.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 63 tim smy 2010-06-30 15:24:19 EDT
okburnt a new dvd went through the process but failed to boot.

please be dead specific about this point
then when the very first screen pops up (offering
the choices of 'install' or other choices

what is on the fist screen please

you web server etc 

tim
Comment 64 tim smy 2010-06-30 16:16:29 EDT
ok the first screen is like if you need mem test or a specific graphic card
or a upgarde yes i think i know now so after that very fist screen appears I 
take out the netinst.iso and insert the fedora 13 64 bit dvd

tim
Comment 65 Saito 2010-06-30 22:58:08 EDT
Media change method in my pc.

  Success case:
    1. Boot with Fedora-13-x86_64-netinst.iso DVD.
    2. Select first line at "Welcome to Fedora 13!" menu.
    3. Disc Found  -> [OK]
    4. Media Check -> [Test]
    5. Success -> [OK]
    6. Media ejected then change to Fedora-13-X86_64-DVD.iso DVD.
    7. Media Check -> [Test]
    8. Success -> [OK]
    9. Media ejected but not change.
   10. Media Check -> [Continue]
   11. Language selection.
   12. Keyboard selection.
      .......

  Failure case:
    1. Boot with Fedora-13-x86_64-netinst.iso DVD.
    2. Press [Tab] Key at "Welcome to Fedora 13!" menu.
    3. Change to Fedora-13-X86_64-DVD.iso DVD.
    4. Enter.
    5. Repeat menu but not proceed to Disc Found.
Comment 66 tim smy 2010-07-01 10:55:06 EDT
Well I am a little loss

I followed the format below but still failed to boot
the only diffrence was that point (3 Dic found) was not the case
fron selection at welcome screen then media test appeared
disc found came at a later stage.

  1. Boot with Fedora-13-x86_64-netinst.iso DVD.
    2. Select first line at "Welcome to Fedora 13!" menu.
    3. Disc Found  -> [OK]
    4. Media Check -> [Test]
    5. Success -> [OK]
    6. Media ejected then change to Fedora-13-X86_64-DVD.iso DVD.
    7. Media Check -> [Test]
    8. Success -> [OK]
    9. Media ejected but not change.
   10. Media Check -> [Continue]
   11. Language selection.
   12. Keyboard selection.
      .......

tim
Comment 67 tim smy 2010-07-01 10:57:26 EDT
I am trying to install a Xless server no X 
maybe I should do it from the cd or all from the 
Fedora-13-x86_64-netinst.iso DVD
Comment 68 tim smy 2010-07-03 11:48:17 EDT
I tried the  Fedora-13-x86_64-netinst.iso CD on its own that did not work
but my thought is to try fedora 12 64 bit dvd then upgarde

tim
Comment 69 ametzger 2010-07-07 16:36:00 EDT
What worked for me.

I have 5 machines with Gigabyte Motherboards.
Four of them worked with Fedora 13, one did not.

All have the same motherboard, memory, video card, hard disk configuration etc.

The one difference is that the one that would not boot Fedora 13 contained an LG Super Multi Model GH22NS50 SATA DVD drive while the other four machines contained an HP DVD 1270i SATA DVD drive.

I threw away the LG drive and installed an HP 1270i in the fifth machine.
It now boots Fedora 13 just fine.

This could still be a BIOS issue, but in my case is at least sensitive to the DVD drive manufacturer.  

Someone mentioned LG in one of the previous posts.  Don't know what to say to the person who claims to have tried booting from a memory stick.
Comment 70 scoffin 2010-07-07 18:12:28 EDT
ametzger comments sounds like an excellent clue.  I tried
    Sony/NEC Optiarc AD-7170A     IDE  DVD drive
    Sony     Optiarc AD-7240S-OB  SATA DVD drive
with my Gigabyte GA-P35-DS3L motherboard.
both of these boot F13-x64 tc1 as expected, but fail with F13-x64 RC1...
Comment 71 Saito 2010-07-07 18:57:49 EDT
on my pc,
dmesg | grep DVD

ata2.01: ATAPI: Optiarc DVD RW AD-7200S, 1.J0, max UDMA/100
scsi 1:0:1:0: CD-ROM            Optiarc  DVD RW AD-7200S  1.J0 PQ: 0 ANSI: 5
Comment 72 Axel 2010-07-14 10:58:48 EDT
It seems to me that this is not a DVD cdrom problem. All kernels above 2.6.31.12-174.2.22.fc12.x86_64 (Fedora 12) won't boot in these Gigabyte boards. 

In my testings I was able to boot fine using Fedora 12 64 bit(stock) then upgraded to the latest kernel and problem is present, system won't boot unless acip is turned off in kernel line.

It seems that the reason people is able to boot to fedora 12 DVDs is because  uses an older kernel, the new kernel in Fedora13 changed some settings for this boards.

Fedora 13 64bit kernels do not boot to some of these boards.
GA-MA78GM-S2H (rev.1.0)
Comment 73 Adam Williamson 2010-07-14 14:08:16 EDT
Axel: that is not the same problem. The bug this thread is tracking occurs earlier, during syslinux, not kernel boot. The affected systems do not even reach the bootloader menu.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 74 Adam Williamson 2010-07-14 14:09:08 EDT
Axel: oh, and the affected systems can boot the 32-bit Fedora 13 DVD, and the 64-bit Fedora 13 live CD, fine. Again showing that this is not the same as your problem. Please file a separate bug.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 75 Randy Yates 2010-07-18 00:32:09 EDT
Me too. Smolt ID: pub_29e2b67a-9e83-4881-9449-545c53fd361e
Comment 76 Wim Cos 2010-07-27 17:45:12 EDT
Same problem here, solved by putting controller in AHCI mode!

Board: Gigabyte GA-P965-DS3P, BIOS F6
Drive: TSSTcorp SH-S183A on Port 0 of Intel ICH8R chip
Bios Menu: Integrated Peripherals
- With RAID/AHCI "Disabled", the DVD does not boot. Not in legacy IDE mode,
  not in native IDE mode
- With RAID/AHCI "Enabled", DVD boots fine and installs

Same problem with the second raid chip (the JMicron controller). Native or Legacy IDE mode prevent the DVD from booting, AHCI or RAID let it boot. My only problem is, I don't want to use AHCI mode because of my SSD drive.

Hope this helps narrowing the problem down.
Comment 77 Steve Tyler 2010-09-27 14:13:11 EDT
I believe this bug can be explained as follows:

The El Torito boot catalog on the Fedora-13-x86_64-DVD.iso is in sector 488. This is the farthest out of any ISO image I have checked. Some BIOSes may not be able to find it there.

There are also 656 i686 RPMs on the x86_64 DVD. I am not sure if they are supposed to be on the x86_64 DVD, but the Fedora-14-Beta-x86_64-DVD.iso does not have them.

With a quick-and-dirty shell script, it is possible to analyze all of the ISO images for the boot sector offset, and the number and type of packages.

[stephent@walnut F13]$ dump-boot-offset.sh *DVD.iso
== Fedora-13-i386-DVD.iso ==
El Torito VD version 1 found, boot catalog is in sector 393
        Bootoff 18A 394
.x86_64.rpm: 0
.i686.rpm:   1737
.rpm:        2450
== Fedora-13-x86_64-DVD.iso ==
El Torito VD version 1 found, boot catalog is in sector 488
        Bootoff 1E9 489
.x86_64.rpm: 1734
.i686.rpm:   656
.rpm:        3102
[stephent@walnut F13]$ 

[stephent@walnut F14-Beta-RC3]$ dump-boot-offset.sh *DVD.iso
== Fedora-14-Beta-x86_64-DVD.iso ==
El Torito VD version 1 found, boot catalog is in sector 457
        Bootoff 1CA 458
.x86_64.rpm: 1781
.i686.rpm:   0
.rpm:        2783
[stephent@walnut F14-Beta-RC3]$
Comment 78 Steve Tyler 2010-09-27 14:18:53 EDT
Created attachment 449993 [details]
shell script to dump location of ISO boot catalog and report number of RPMs

Usage: dump-boot-offset.sh *.iso

Example output:
[stephent@walnut F13]$ dump-boot-offset.sh *DVD.iso
== Fedora-13-i386-DVD.iso ==
El Torito VD version 1 found, boot catalog is in sector 393
        Bootoff 18A 394
.x86_64.rpm: 0
.i686.rpm:   1737
.rpm:        2450
== Fedora-13-x86_64-DVD.iso ==
El Torito VD version 1 found, boot catalog is in sector 488
        Bootoff 1E9 489
.x86_64.rpm: 1734
.i686.rpm:   656
.rpm:        3102
[stephent@walnut F13]$ 

And it will be very obvious why I call it quick-and-dirty ... :-)
Comment 79 Steve Tyler 2010-09-27 14:54:35 EDT
This is the largest ISO image of the ones I have: Fedora-13-x86_64-DVD.iso

[stephent@walnut fedora]$ ls -1sS F12/Fedora-12-x86_64-DVD.iso F13/*.iso F14/F14-Beta-RC3/*.iso
3544972 F13/Fedora-13-x86_64-DVD.iso
3495344 F14/F14-Beta-RC3/Fedora-14-Beta-x86_64-DVD.iso
3454692 F12/Fedora-12-x86_64-DVD.iso
3200284 F13/Fedora-13-i386-DVD.iso
 707528 F14/F14-Beta-RC3/Fedora-14-Beta-x86_64-disc1.iso
 698372 F14/F14-Beta-RC3/Fedora-14-Beta-x86_64-Live.iso
 696324 F14/F14-Beta-RC3/Fedora-14-Beta-i686-Live.iso
 693252 F13/Fedora-13-x86_64-Live.iso
 691204 F13/Fedora-13-i686-Live.iso
 273408 F14/F14-Beta-RC3/Fedora-14-Beta-i386-netinst.iso
 259076 F14/F14-Beta-RC3/Fedora-14-Beta-x86_64-netinst.iso
 253952 F13/Fedora-13-i386-netinst.iso
 212996 F13/Fedora-13-x86_64-netinst.iso
[stephent@walnut fedora]$
Comment 80 Steve Tyler 2010-09-27 19:35:13 EDT
Created attachment 450061 [details]
ISO image stats for F12, F13, F14 DVDs in both archs

This shows the boot catalog offset and RPM counts
for all DVDs from F12, F13, and F14-Beta-RC3.

Fedora-13-x86_64-DVD.iso comes out highest on three scores:
1. Largest boot catalog offset: 488
2. Largest number of RPMs: 3102
3. Largest ISO image size: 3544972 K
Comment 81 Jesse Keating 2010-09-28 16:10:24 EDT
I have no idea off hand how to influence where the el torito bit goes.

Are you having issues booting the f14 beta x86_64 dvd?
Comment 82 Steve Tyler 2010-09-28 17:31:10 EDT
(In reply to comment #81)
> I have no idea off hand how to influence where the el torito bit goes.
> 
> Are you having issues booting the f14 beta x86_64 dvd?

Both F13 and F14-Beta x86_64 DVDs boot fine on my system.
This bug just seemed interesting ... :-)
and the detailed previous reporting is very helpful.

The genisoimage man page doesn't seem to say anything about where the boot catalog gets placed.

The boot catalog offset correlates very well with the number of files and directories in the ISO image. The table below is sorted first by boot catalog offset and then by the number of files and directories in the ISO image.

Columns here are '>', boot offset, number of files and dirs, ISO file name.

$ dump-boot-offset.sh F12/*.iso F13/*.iso F14/F14-Beta-RC3/*.iso | grep '^>' | sort -k 2,3 -n
> 40 37 F13/Fedora-13-x86_64-Live.iso
> 40 37 F14/F14-Beta-RC3/Fedora-14-Beta-x86_64-Live.iso
> 40 39 F13/Fedora-13-i686-Live.iso
> 40 39 F14/F14-Beta-RC3/Fedora-14-Beta-i686-Live.iso
> 42 39 F14/F14-Beta-RC3/Fedora-14-Beta-x86_64-netinst.iso
> 42 40 F13/Fedora-13-x86_64-netinst.iso
> 42 42 F14/F14-Beta-RC3/Fedora-14-Beta-i386-netinst.iso
> 42 43 F13/Fedora-13-i386-netinst.iso
> 172 943 F14/F14-Beta-RC3/Fedora-14-Beta-x86_64-disc1.iso
> 388 2470 F12/Fedora-12-i386-DVD.iso
> 393 2523 F13/Fedora-13-i386-DVD.iso
> 446 2859 F14/F14-Beta-RC3/Fedora-14-Beta-i386-DVD.iso
> 457 2863 F14/F14-Beta-RC3/Fedora-14-Beta-x86_64-DVD.iso
> 479 3087 F12/Fedora-12-x86_64-DVD.iso
> 488 3172 F13/Fedora-13-x86_64-DVD.iso
Comment 83 Steve Tyler 2010-09-28 17:39:45 EDT
Created attachment 450323 [details]
shell script to dump location of ISO boot catalog and report file/directory counts

Usage: dump-boot-offset.sh *.iso

To get a sorted table of boot catalog offsets and file/directory counts:

$ dump-boot-offset.sh *.iso | grep '^>' | sort -k 2,3 -n
Comment 84 Steve Tyler 2010-09-28 18:04:36 EDT
(In reply to comment #82)
...
> The genisoimage man page doesn't seem to say anything about where the boot
> catalog gets placed.
...

Maybe it does. The description of the -c option says:

"If -sort has not been specified, the boot catalog sorted with low priority (+1) to the beginning of the medium.  If you don’t like this, you need to specify a sort weight of 0 for the boot catalog."

According to this:
/usr/share/doc/genisoimage-1.1.10/genisoimage/README.sort

"The files will be sorted with the highest weights first and lowest last. The default weight is zero."

IIUC, the boot catalog is already being placed as close to the beginning of the media as possible.
Comment 85 Steve Tyler 2010-09-28 18:57:23 EDT
Looking at a hexdump of Fedora-13-x86_64-DVD.iso, it looks like the boot catalog comes before the files but *after* the file descriptors. That would explain why the boot catalog moves farther out as the number of files increase.

Between the Boot Record Volume Descriptor and the Boot Catalog, there are what appear to be directory entries.

Very helpful document:
Understanding the Basics of El Torito
http://odin.himinbi.org/xp_cds/eltorito_extraction.html

This is the command I use:
$ dd if=Fedora-13-x86_64-DVD.iso count=1024 bs=1024 | hexdump -C | less

Boot Record Volume Descriptor:
The offset to the boot catalog is 0x1e8 sectors.
*
00008800  00 43 44 30 30 31 01 45  4c 20 54 4f 52 49 54 4f  |.CD001.EL TORITO|
00008810  20 53 50 45 43 49 46 49  43 41 54 49 4f 4e 00 00  | SPECIFICATION..|
00008820  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
*
00008840  00 00 00 00 00 00 00 e8  01 00 00 00 00 00 00 00  |................|
00008850  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
*

Boot Catalog:
The boot catalog is at hex(0x1e8*2048) == '0xf4000'.
*
000f4000  01 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
000f4010  00 00 00 00 00 00 00 00  00 00 00 00 aa 55 55 aa  |.............UU.|
000f4020  88 00 00 00 00 00 04 00  e9 01 00 00 00 00 00 00  |................|
000f4030  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
*
Comment 86 Bug Zapper 2011-06-02 09:03:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 87 Bug Zapper 2011-06-27 12:55:38 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.